using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class PartyInfoStopperPacker : Packet
    {
        public uint unk { get; set; } = 0;

        public PartyInfoStopperPacker(uint unk)
        {
            this.unk = unk;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(unk);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x0E, 0x1C, PacketFlags.None);
        }

        #endregion
    }
}